/*
  MCP23xxx library - Sequential Switch sample
  This sample demonstrates switching of pins on MCP23x08 8-bit port expander
  Try it with freeduino.ru Relay Shield
  see http://freeduino.ru for details
*/

////For SPI version of shield we include SPI.h:
//#include <SPI.h>
//For I2C version of shield we include Wire.h:
#include <Wire.h>

//include the library code
#include <MCP23xxx.h>

////For SPI version of shield we create CMCP23S08 object:
//CMCP23S08 MCP;
//For I2C version of shield we create CMCP23008 object:
CMCP23008 MCP;
//But we cannot initialize it now, because the bus is not ready 

void setup()
{
//  //For SPI version of shield we configure SPI bus, and MCP object with CS line (10) and address (0)
//  SPI.begin();
//  MCP.init(10, 0);
  //For I2C version of shield we configure I2C bus, and MCP object with address (0)
  Wire.begin();      //TWBR = 12;  // <- uncomment this for 400kHz I2C
  MCP.init(0);

  //We can configure all pins as outputs in a loop   
  for (int i=0; i<8; i++) {
    MCP.pinMode(i, OUTPUT);
  }
  //or, we can configure all 8 pins at once, calling pinMode8 method
  //MCP.pinMode8(0x000);
}

void loop()
{
  int i;
  //Here we sequentially switch pins in a loop with digitalWrite method
  for (i=0; i<8; i++) {
    MCP.digitalWrite(i, HIGH);
    delay(500);
    MCP.digitalWrite(i, LOW);
  }
}
